## com.vividsolutions.jts.index.intervalrtree
Class IntervalRTreeNode.NodeComparator

    java.lang.Object
      com.vividsolutions.jts.index.intervalrtree.IntervalRTreeNode.NodeComparator

All Implemented Interfaces:
  java.util.Comparator

Enclosing class:
  IntervalRTreeNode

public static class IntervalRTreeNode.NodeComparator
extends java.lang.Object
implements java.util.Comparator

Constructor Summary
`IntervalRTreeNode.NodeComparator()`

Method Summary
`int` `compare(java.lang.Object o1, java.lang.Object o2)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Constructor Detail

### IntervalRTreeNode.NodeComparator

    public IntervalRTreeNode.NodeComparator()

Method Detail

### compare

    public int compare(java.lang.Object o1,
                       java.lang.Object o2)

  Specified by:
    `compare` in interface `java.util.Comparator`